summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Derek Noonburg <derekn@foolabs.com>2013-10-27 02:59:47 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-10-27 23:39:01 -0500
commit22f0b340c3a440e2dac469a44e07980e412fef66 (patch)
tree275ecb641a16fe6535201df4b82444c656f0c0d8 /network
parent79ee353aab46b79b4d05312d294a02ff379c3b21 (diff)
downloadslackbuilds-22f0b340c3a440e2dac469a44e07980e412fef66.tar.gz
slackbuilds-22f0b340c3a440e2dac469a44e07980e412fef66.tar.xz
network/courier-authlib: Added (Courier authentication library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/courier-authlib/README2
-rw-r--r--network/courier-authlib/courier-authlib.SlackBuild87
-rw-r--r--network/courier-authlib/courier-authlib.info10
-rw-r--r--network/courier-authlib/doinst.sh15
-rw-r--r--network/courier-authlib/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/network/courier-authlib/README b/network/courier-authlib/README
new file mode 100644
index 0000000000..2a28e9dc09
--- /dev/null
+++ b/network/courier-authlib/README
@@ -0,0 +1,2 @@
+The Courier authentication library provides authentication services
+for other Courier applications.
diff --git a/network/courier-authlib/courier-authlib.SlackBuild b/network/courier-authlib/courier-authlib.SlackBuild
new file mode 100644
index 0000000000..97707268b9
--- /dev/null
+++ b/network/courier-authlib/courier-authlib.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for mod_fastcgi
+
+# Written by Derek Noonburg (derekn@foolabs.com)
+# 2013-05-15
+# Released into the public domain.
+
+PRGNAM=courier-authlib
+VERSION=${VERSION:-0.65.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG="$TMP/package-$PRGNAM"
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R operator .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --with-authshadow
+
+make
+make install DESTDIR=$PKG
+make install-configure DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/*/*
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+for f in authdaemonrc authldaprc authmysqlrc ; do
+ mv $PKG/etc/authlib/$f $PKG/etc/authlib/$f.new
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README INSTALL COPYING COPYING.GPL AUTHORS NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/courier-authlib/courier-authlib.info b/network/courier-authlib/courier-authlib.info
new file mode 100644
index 0000000000..c8eecc0557
--- /dev/null
+++ b/network/courier-authlib/courier-authlib.info
@@ -0,0 +1,10 @@
+PRGNAM="courier-authlib"
+VERSION="0.65.0"
+HOMEPAGE="http://www.courier-mta.org/authlib/"
+DOWNLOAD="https://download.sourceforge.net/courier/courier-authlib-0.65.0.tar.bz2"
+MD5SUM="e9287e33b0e70ea3745517b4d719948d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Derek Noonburg"
+EMAIL="derekn@foolabs.com"
diff --git a/network/courier-authlib/doinst.sh b/network/courier-authlib/doinst.sh
new file mode 100644
index 0000000000..6431d28395
--- /dev/null
+++ b/network/courier-authlib/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/authlib/authdaemonrc.new
+config etc/authlib/authldaprc.new
+config etc/authlib/authmysqlrc.new
+
diff --git a/network/courier-authlib/slack-desc b/network/courier-authlib/slack-desc
new file mode 100644
index 0000000000..f942ccdaac
--- /dev/null
+++ b/network/courier-authlib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+courier-authlib: courier-authlib (Courier authentication library)
+courier-authlib:
+courier-authlib: The Courier authentication library provides authentication
+courier-authlib: services for other Courier applications.
+courier-authlib:
+courier-authlib: Homepage: http://www.courier-mta.org/authlib/
+courier-authlib:
+courier-authlib:
+courier-authlib:
+courier-authlib:
+courier-authlib: